### A free/open-source library for quantitative finance

Public Member Functions
Constraint::Impl Class Reference

Base class for constraint implementations. More...

`#include <ql/math/optimization/constraint.hpp>`

Inherited by BoundaryConstraint::Impl, CalibratedModel::PrivateConstraint::Impl, CompositeConstraint::Impl, HestonModel::FellerConstraint::Impl, NoConstraint::Impl, and PositiveConstraint::Impl.

List of all members.

## Public Member Functions

virtual bool | test (const Array &params) const =0
| Tests if params satisfy the constraint.

## Detailed Description

Base class for constraint implementations.